Subject: Re: [PATCH V6 net-next 03/11] net: hibmcge: Add mdio and hardware configuration supported in this module

From: Jakub Kicinski <[email-masked]>
Date: Tue, 3 Sep 2024 10:44:07 -0700

On Tue, 3 Sep 2024 20:13:58 +0800 Jijie Shao wrote:
> >> +{
> >> +    struct hbg_priv *priv = netdev_priv(netdev);
> >> +    struct phy_device *phydev = priv->mac.phydev;  
> >
> > Minor nit: please respect the reverse x-mas tree order  
> 
> Here, I need to get the *priv first, so I'm not following the reverse x-mas tree order here.
> I respect the reverse x-mas tree order everywhere else.

In this case you should move the init into the body of the function.